%define upstream_name    POSIX-strftime-Compiler
%define upstream_version 0.46

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    GNU C library compatible strftime for loggers and servers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/POSIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
POSIX::strftime::Compiler provides GNU C library compatible strftime(3).
But this module will not affected by the system locale. This feature is
useful when you want to write loggers, servers and portable applications.

For generate same result strings on any locale, POSIX::strftime::Compiler
wraps POSIX::strftime and converts some format characters to perl code

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Jan 08 2024 tv <tv> 0.460.0-1.mga10
+ Revision: 2028967
- update to 0.46

* Fri Nov 10 2023 tv <tv> 0.450.0-1.mga10
+ Revision: 2005716
- update to 0.45

* Mon Mar 21 2022 umeabot <umeabot> 0.440.0-2.mga9
+ Revision: 1813005
- Mageia 9 Mass Rebuild

* Wed Aug 12 2020 tv <tv> 0.440.0-1.mga8
+ Revision: 1613481
- update to 0.44

* Sat Aug 01 2020 tv <tv> 0.430.0-1.mga8
+ Revision: 1610096
- update to 0.43

* Wed Feb 12 2020 umeabot <umeabot> 0.420.0-3.mga8
+ Revision: 1505815
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.420.0-2.mga7
+ Revision: 1285470
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.420.0-1.mga7
+ Revision: 1128857
- update to 0.42

* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-3.mga6
+ Revision: 1032657
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.410.0-2.mga6
+ Revision: 966683
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.410.0-1.mga6
+ Revision: 846563
- update to 0.41

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-3.mga5
+ Revision: 747241
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-2.mga5
+ Revision: 685839
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 sander85 <sander85> 0.400.0-1.mga5
+ Revision: 666179
- update to 0.40

* Tue Jun 10 2014 sander85 <sander85> 0.320.0-1.mga5
+ Revision: 635467
- update to 0.32

* Tue Feb 25 2014 jquelin <jquelin> 0.310.0-1.mga5
+ Revision: 596835
- imported package perl-POSIX-strftime-Compiler

